import time
import sys
import math
#
if not Misc.CurrentScriptDirectory() in sys.path:
    sys.path.append(Misc.CurrentScriptDirectory())
#    
import common
#
from System.Collections.Generic import List
from System import Byte, Int32
#
Direction = Player.Direction
    #        
    #
MotionMap = {
         "North": (0, -1), 
         "Right": (+1, -1),
         "East": (+1, 0),
         "Down": (+1, +1),
         "South": (0, +1),
         "Left": (-1, +1),
         "West": (-1, 0),
         "Up": (-1, -1),
         "North": (0, -1), 
         "Right": (+1, -1),
         "East": (+1, 0),
         "Down": (+1, +1),
         "South": (0, +1),
         "Left": (-1, +1),
         "West": (-1, 0),
         "Up": (-1, -1),
         } 
# 
if Player.Direction != Direction:
    Player.Walk(Direction)
    
Cave_Floor = [ 0x0245, 0x0246, 0x0247, 0x0248, 0x0249 ]    
for step in range(8):    
    x_delta, y_delta = MotionMap[Player.Direction]
    x = Player.Position.X + x_delta
    y = Player.Position.Y + y_delta
    land_id = Statics.GetLandID(x, y, Player.Map)
    Misc.SendMessage("X: {} Y: {} LandID: 0x{:x} ImPassable: {}".format(x, y, land_id, Statics.GetLandFlag(land_id, "Impassable")))
    if land_id in Cave_Floor:
        Player.Walk(Direction)    
